Subject: bug#37382: 27.0.50; Emacs crashes after assert condition fails

From: Stefan Monnier <[email-masked]>
Date: Thu, 12 Sep 2019 08:29:44 -0400

> Stefan, please take a look: this looks like the result of your changes
> in c74da403a.  On my system, where Emacs is compiled with --enable-checking,
> I get an assertion violation:
>
>   fns.c:4338: Emacs fatal error: assertion failed: EQ (Qunbound, (HASH_KEY (h, i)))

Duh!  I didn't notice it, because I had made the corresponding fix in my
local changes some years ago (which is when I originally wrote
c74da403a), but I forgot to commit that corresponding part in
src/profiler.c.

Should be fixed now,

        Stefan